<!-- The form for deleting a match. -->

{% extends 'main/base.html' %}
{% load static %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'scouting/css/detailed.css' %}">
{% endblock %}

{% block nav_home %} class="button" {% endblock %}
{% block nav_scouting %} class="button-selected" {% endblock %}
{% block nav_contact %} class="button" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}

    {% if match %} 
       
        <h1 class = "portal-header">Delete Match</h1>
    
    <div class = "delete"> 
        <p class = "text"> Are you sure you want to delete <span class = "underline">{{ match.Competition }} Match {{ match.MatchNum }}: Team {{ match.Team }}</span>? <br> </p>
    
        <div class = "delete-buttons"> 
            <form action="" method="POST">
              {% csrf_token %}
              <input type="submit" id = "submit" action="" value="Yes" class = "yes">
            </form>
            
            <p></p>
            <a href="{% url 'scouting:detailed' match.Competition.id match.id %}" class = "cancel" >Cancel</a> 
        </div>
    </div>
    {% else %}
        <p>An error has occurred in the form. Contact programming.
        
        Super-special programming magic spell: A match is being deleted that has already been deleted or does not exist.</p>
    {% endif %}

{% endblock %}